apiVersion: v1
kind: Service
metadata:
  name: {{ include "gx-signing-tool.fullname" . }}
  labels:
    {{- include "gx-signing-tool.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    {{- include "gx-signing-tool.selectorLabels" . | nindent 4 }}
---
{{- if .Values.GRAPHDB_ENABLED -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ include "gx-signing-tool.fullname" . | trunc 50 | trimSuffix "-"}}-graphdb
  labels:
    {{- include "gx-signing-tool.labelsGraphdb" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.GRAPHDB_PORT }}
      targetPort: {{ include "gx-signing-tool.fullname" . | trunc 5 | trimSuffix "-"}}-graphdb
      protocol: TCP
      name: {{ include "gx-signing-tool.fullname" . | trunc 50 | trimSuffix "-"}}-graphdb
  selector:
    {{- include "gx-signing-tool.selectorLabelsGraphdb" . | nindent 4 }}
{{- end -}}
